﻿/* Global style */

.clearfix:after {
    content: '.';
    font-size: 0;
    display: block;
    width: 0;
    height: 0;
    clear: both;
}

.right {
    float: right;
}

.left {
    float: left;
}

.hidden {
    display: none !important;
}

body {
    font-family: Calibri;
    background-color: aliceblue;
    font-size: 100%;
}
/* Main menu style */
.index_nav {
    list-style: none;
    text-align: center;
    vertical-align: middle;
    min-width: 400px;
    width: 100%;
    border-radius: 5px;
    border: 2px lightgrey solid;
    padding: 0;
    margin-left: -3px;
}

.index_nav_item {
    margin: 0;
    display: block;
    width: 33.33333333333%;
    padding: 5px 0px;
    cursor: pointer;
}

.index_nav_item_color {
    background-color: aliceblue;
    color: grey;
}

.index_nav_item_selected_color {
    background-color: lightgrey;
    color: white;
}

.index_nav_item:hover {
    background-color: lightgrey;
    color: white;
}

#content_placeholder {
    padding: 10px 0px 0px 2px;
    display: block;
    margin-left: -4px;
}
/*Buat Home*/
#home_tab h3 {
    padding-left: 2%;
    margin-top: 10px;
}

#schedule, #bottom_container {
    display: inline-block;
    min-width: 100%;
}

#next_schedule {
    width: 100%;
    border: 2px solid black;
    background-color: #135581;
    color: white;
    display: inline-block;
}

    #next_schedule #prev_button, #next_text {
        float: left;
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
        cursor: pointer;
        font-weight: bold;
    }

    #next_schedule #prev_button, #next_text {
        float: left;
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
        cursor: pointer;
        font-weight: bold;
    }

    #next_schedule #next_text {
        margin-left: 40%;
    }

    #next_schedule #next_button {
        float: right;
        font-weight: bold;
        margin-right: 1%;
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
        cursor: pointer;
    }

#schedule_list {
    clear: both;
    margin: auto;
    display: inline-block;
    min-width: 100%;
}

    #schedule_list .detail {
        margin-top: 1%;
        float: left;
        min-width: 49%;
        max-width: 49%;
        font-weight: bold;
        margin-right: 1%;
    }

.detail_content {
    border: 2px solid;
    color: black;
    background-color: aliceblue;
}

.detail_content_top {
    min-width: 100%;
    display: inline-block;
}

.detail_time {
    float: left;
    min-width: 70%;
    max-width: 70%;
    padding-left: 5%;
}

    .detail_time p {
        white-space: nowrap;
        overflow: hidden;
        text-overflow: ellipsis;
    }

.detail_room {
    float: right;
    min-width: 25%;
    max-width: 25%;
}

.detail_room_content {
    font-size: 20px;
    border-left: 2px solid;
    border-bottom: 2px solid;
    padding-top: 30%;
    padding-bottom: 30%;
    padding-left: 30%;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.detail_content_center {
    font-weight: normal;
    padding-left: 5%;
    border-bottom: 2px solid;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.detail_content_bottom {
    min-width: 100%;
    display: inline-block;
    padding-top: 1%;
    padding-bottom: 1%;
}

.detail_absent {
    float: left;
    min-width: 45%;
    max-width: 45%;
    padding-left: 5%;
}

.detail_max {
    float: left;
    min-width: 45%;
    max-width: 45%;
    padding-left: 2%;
}


.detail_absent_content {
    border-right: 2px solid;
    padding-right: 3%;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.detail_max_content {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.left_content {
    float: left;
    min-width: 76%;
    max-width: 76%;
}

.right_content {
    float: right;
    min-width: 22%;
    max-width: 22%;
}


.home-section {
    margin-bottom: 15px;
}

.home-section-title {
    padding: 10px 15px;
    border: 1px solid #135581;
    background-color: #135581;
    color: white;
    font-weight: bold;
}

.home-section-content {
    padding: 10px 15px;
    border: 1px solid #135581;
    background-color: #F2F2F2;
}

    .home-section-content:after {
        content: '';
        display: block;
        clear: both;
    }

@media screen and (min-width: 1024px) {
    .rule_link {
        width: 50%;
        float: left;
        margin: 0px;
        padding: 5px 0px;
    }
}

.rule_link {
    margin: 0px;
    padding: 5px 0px;
}

    .rule_link a {
        text-decoration: none;
        color: #767676;
    }

        .rule_link a:hover {
            text-decoration: underline;
            color: #121212;
        }

/*
#rule {
    margin-top:10px;
}

#event_text {
    padding:.5%;
    border:2px solid black;
    background-color:#135581;
    color:white;
    font-weight:bold;
}
#notice_text {
    padding:.5%;
    border:2px solid black;
    background-color:#135581;
    color:white;
    font-weight:bold;
}
#toDoList_text, #rule_text{
    border:2px solid black;
    padding:2%;
    font-weight:bold;
    background-color:#135581;
    color:white;
}

#event_content{
    margin-top:.7%;
    border:2px solid;
    background-color:#e2e4fc;
}
#notice_content {
    margin-top:.7%;
    border:2px solid;
    background-color:#e2e4fc;
}
#rule_content {
    margin-top:2%;
    border:2px solid;
    background-color:#e2e4fc;
}
#toDoList_content {
    overflow-y:scroll;
    margin-top:2%;
    max-height:295px;
    border:2px solid;
    background-color:#e2e4fc;
}

.rule_link {
    margin:0;
    padding:1%;
}
.event_next {
    margin:2%;
    padding:1%;
    height:auto;
    min-width:94%;
    display:inline-block;
    border:2px solid;
    background-color:aliceblue;
}
*/

.notice_link_content {
    margin-top: 1%;
}

    .notice_link_content:last-child {
        margin-bottom: 1%;
    }

.notice_link {
    background-color: white;
    width: 97%;
    margin: auto;
    border: 2px solid;
}

    .notice_link:hover {
        background-color: #135581;
    }

    .notice_link a:hover {
        color: white;
    }

#notice_content a {
    color: black;
    text-decoration: none;
    padding: 1%;
}

#event_content {
    text-align: center;
}

.event_next {
    padding: 10px;
    display: inline-block;
    border: 1px solid #565656;
    background-color: aliceblue;
}

    .event_next:after {
        content: '';
        display: block;
        clear: both;
    }

    .event_next .event_img {
        width: 30%;
        height: 200px;
        float: left;
    }

.event_next_text {
    float: left;
    margin-left: 20px;
    min-height: 175px;
    min-width: 60%;
    max-width: 60%;
}


    .event_next_text p {
        text-align: justify;
        margin: 0;
    }

.event_detail, .event_detail_dialog {
    float: right;
    text-align: right;
    cursor: pointer;
}

.event_title {
    font-size: 25px;
    font-weight: bold;
    text-align: center;
    margin-bottom: 1%;
}

.toDoList_next {
    margin: 2%;
    border: 2px solid;
    width: 90%;
    padding: 3%;
    background-color: aliceblue;
}

.rule_all {
    text-align: right;
    margin-right: 5%;
}

.toDoList_next p {
    margin: 0;
}

#toDoList_content {
    overflow-y: scroll;
    max-height: 400px;
}

.regis_content {
    float: left;
    min-width: 50%;
    font-size: 15px;
}

    .regis_content table {
        width: 100%;
        border-left: 1px solid;
    }

.regis_top {
    width: 100%;
    height: auto;
    border-bottom: 1px solid;
    float: left;
}

.ui-tab-dialog-close img {
    width: 30px;
    height: 30px;
    cursor: pointer;
}

.term_content {
    border: 1px solid;
    padding: 2%;
}

.term_agree {
    float: right;
}

.btn_regis {
    margin-top: 10%;
    float: left;
    margin-left: 43%;
    width: auto;
}

.err {
    color: red;
    text-align: left;
}

.blue-btn {
    background: #135581;
    color: white;
    padding: 6px;
    width: 100%;
    display: block;
    box-sizing: border-box;
    border-radius: 3px;
    text-align: center;
    margin: 10px 0;
    font-size: 11pt;
    cursor: pointer;
    border: 0;
    box-shadow: 0 1px 2px rgba(0, 0, 0, 0.2);
    transition: all .25s ease;
}

    .blue-btn:hover {
        background: white;
        color: #135581;
        box-shadow: 0 4px 8px rgba(0, 0, 0, 0.4);
    }

.info-btn {
    background-color: rgb(168,168,168);
    color: white;
    padding: 6px;
    width: 100%;
    display: block;
    box-sizing: border-box;
    border-radius: 3px;
    text-align: center;
    margin: 10px 0;
    font-size: 11pt;
    cursor: pointer;
    border: 0;
    box-shadow: 0 1px 2px rgba(0, 0, 0, 0.2);
    transition: all .25s ease;
}

    .info-btn:hover {
        background: white;
        color: #135581;
        box-shadow: 0 4px 8px rgba(0, 0, 0, 0.4);
    }

.d-flex {
    display: flex !important;
}

